# Query runtime provider Profile

Query the configuration of a runtime provider Profile.

```text
GET $CLOUDSIGMA_API_BASE/workspaces/{workspace_id}/agent-runtime-providers/{provider_id}/profiles/{profile_id}
```

## Before you call this API

Configure the [regional API endpoint and authentication](https://omnifabric.cloudsigma.com/docs/developer/endpoints-and-authentication.html.md), and select the target workspace.

Set the operation-specific values used in the request: `$PROVIDER_ID`, `$PROFILE_ID`.

## Request example

```bash
curl "$CLOUDSIGMA_API_BASE/workspaces/$WORKSPACE_ID/agent-runtime-providers/$PROVIDER_ID/profiles/$PROFILE_ID" -H "X-API-Key: $CLOUDSIGMA_API_KEY" -H "X-Workspace-ID: $WORKSPACE_ID"
```

## Successful response

Returns `200` and the target Profile on success.

```json
{"code":0,"data":{"provider":"astra","profile":"default"}}
```

The response fields are as follows.

| Field | Type | Description |
| --- | --- | --- |
| `data` | object | Runtime provider Profile. |

## Error response

```json
{"code":5,"message":"runtime provider not found"}
```
